Bug 994402 - SELinux is preventing /usr/libexec/kde4/lnusertemp from 'create' accesses on the lnk_file /var/tmp/kdecache-lightdmjEJA94.
SELinux is preventing /usr/libexec/kde4/lnusertemp from 'create' accesses on ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:24ed2140d2c163711b4ad09d3ba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 04:22 EDT by Karel Volný
Modified: 2013-08-21 20:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-71.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:53:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2013-08-07 04:22:17 EDT
Description of problem:
SELinux is preventing /usr/libexec/kde4/lnusertemp from 'create' accesses on the lnk_file /var/tmp/kdecache-lightdmjEJA94.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that lnusertemp should be allowed create access on the kdecache-lightdmjEJA94 lnk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep lnusertemp /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:xserver_log_t:s0
Target Objects                /var/tmp/kdecache-lightdmjEJA94 [ lnk_file ]
Source                        lnusertemp
Source Path                   /usr/libexec/kde4/lnusertemp
Port                          <Neznámé>
Host                          (removed)
Source RPM Packages           kdelibs-4.10.5-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.4-300.fc19.x86_64 #1 SMP Tue
                              Jul 30 11:29:05 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-08-07 10:14:37 CEST
Last Seen                     2013-08-07 10:14:37 CEST
Local ID                      97734d89-b8e9-4fb0-805e-7d8c59e5f5a9

Raw Audit Messages
type=AVC msg=audit(1375863277.632:50): avc:  denied  { create } for  pid=732 comm="lnusertemp" name="cache-kvolny.usersys.redhat.com" scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xserver_log_t:s0 tclass=lnk_file


type=SYSCALL msg=audit(1375863277.632:50): arch=x86_64 syscall=symlink success=no exit=EACCES a0=7fffb75e2820 a1=7fffb75e1810 a2=7fffb75e0290 a3=3 items=2 ppid=711 pid=732 auid=4294967295 uid=992 gid=987 euid=992 suid=992 fsuid=992 egid=987 sgid=987 fsgid=987 ses=4294967295 tty=(none) comm=lnusertemp exe=/usr/libexec/kde4/lnusertemp subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

type=CWD msg=audit(1375863277.632:50): cwd=/var/log/lightdm

type=PATH msg=audit(1375863277.632:50): item=0 name=/var/tmp/kdecache-lightdmjEJA94

type=PATH msg=audit(1375863277.632:50): item=1 name=/var/log/lightdm/.kde/ inode=22286064 dev=fd:01 mode=040755 ouid=992 ogid=987 rdev=00:00 obj=system_u:object_r:xserver_log_t:s0

Hash: lnusertemp,xdm_t,xserver_log_t,lnk_file,create

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.4-300.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-08-07 14:06:02 EDT
bc950fb50537e0cc05cd69af546aec96087c4ba8 fixes this in git.
Comment 2 Miroslav Grepl 2013-08-08 08:01:18 EDT
Back ported.
Comment 3 Fedora Update System 2013-08-20 04:26:26 EDT
selinux-policy-3.12.1-71.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-71.fc19
Comment 4 Fedora Update System 2013-08-20 20:15:30 EDT
Package selinux-policy-3.12.1-71.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-71.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15088/selinux-policy-3.12.1-71.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-21 20:53:22 EDT
selinux-policy-3.12.1-71.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.